<!---
   Licensed Materials - Property of IBM

   (C) Copyright 2016 IBM Corp.

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
-->

# IBM MobileFirst Platform Foundation Development Command Line Interface (CLI)
The IBM MobileFirst Platform Foundation Command Line Interface (CLI) is a command-line for developing MobileFirst applications. The command-line can be used by itself, or in conjunction with the IBM MobileFirst Platform Foundation Operations Console. Some functions are available from the command-line only and not the console.

## Installation
```
$ npm install -g mfpdev-cli
```

Windows users running into node-gyp errors may need to run:
```
$ npm install -g --no-optional mfpdev-cli
```

## Documentation

See the IBM MobileFirst Platform Foundation section of IBM Knowledge Center:

<http://ibm.biz/knowctr#SSHS8R_8.0.0/wl_welcome.html>

MobileFirst Platform Foundation command-line interface

<http://ibm.biz/knowctr#SSHS8R_8.0.0/com.ibm.worklight.dev.doc/dev/c_wl_cli_description.html>